### Method

# Gtk ListItemset_selectable

#### Declaration [src]

    void
    gtk_list_item_set_selectable (
      GtkListItem* self,
      gboolean selectable
    )

#### Description [src]

Sets `self` to be selectable.

If an item is selectable, clicking on the item or using the keyboard will try to select or unselect the item. If this succeeds is up to the model to determine, as it is managing the selected state.

Note that this means that making an item non-selectable has no influence on the selected state at all. A non-selectable item may still be selected.

By default, list items are selectable. When rebinding them to a new item, they will also be reset to be selectable by GTK.

Sets property | `Gtk.ListItem:selectable`

#### Parameters

`selectable`

  Type: `gboolean`

  If the item should be selectable.